# -*- coding: utf-8 -*-
class RenderEngine
  require 'erb'

  def self.method_missing(symbol, *args)
    @@hash[symbol]
  end

  def self.render(template, hash)
    erb = ERB.new(File.read(template))
    @@hash = hash
    erb.result(binding)
  end

end
